import Vue from 'vue';
import router from './router/index.js';
import store from './store.js';
import App from './App.vue';
import preview from 'vue-photo-preview';
import 'vue-photo-preview/dist/skin.css';
Vue.use(preview);
Vue.config.productionTip = false;

new Vue({
  el:'#app',
  router,
  store,
  components:{
    App
  },
  template:'<App/>'
});