import axios from 'axios';

const urls = {
  getPathInfo:'/api/prec/patientInfo/getTopPatientInfo',//患者信息
  getSysConfig:'/api/prec/sysSet/getSysSetInfoDatas',//配置项
  recordCheck:'/api/prec/inquiryInfo/recordCheck',//校验是否已做过
  getAll:'/api/prec/moduleInfo/getAll',//获取模板
  getSymptom:'/api/prec/questionUsual/getQuestionUsual',//常用症状
  getById:'/api/prec/questionInfo/getById',//常标签详情
  push:'/api/prec/push/pushInner',//症状推送
  saveInquiry:'/api/prec/inquiryInfo/saveInquiry',//保存问诊记录
  uploadImageThum:'/api/prec/file/uploadImageThum',//单个文件上传同时生成缩略图
  uploadImageThums:'/api/prec/file/uploadImageThums',//多个文件上传同时生成缩略图
  getTagInfos:'/api/prec/retrieval/getTagInfos',//检索
  // uploadImageThums:'http://192.168.3.1:8849/file/uploadImageThums',//多个文件上传同时生成缩略图
}

export default {
  getPathInfo(param){
    return axios.post(urls.getPathInfo,param)
  },
  getSysConfig(param){
    return axios.post(urls.getSysConfig,param)
  },
  recordCheck(param){
    return axios.post(urls.recordCheck,param)
  },
  getAll(param){
    return axios.post(urls.getAll,param)
  },
  getSymptom(param){
    return axios.post(urls.getSymptom,param)
  },
  getById(param){
    return axios.post(urls.getById,param)
  },
  getPush(param){
    return axios.post(urls.push,param)
  },
  uploadImageThums(param){
    return axios.post(urls.uploadImageThums,param)
  },
  uploadImageThum(param){
    return axios.post(urls.uploadImageThum,param)
  },
  getTagInfos(param){
    return axios.post(urls.getTagInfos,param)
  },
  saveInquiry(param){
    return axios.post(urls.saveInquiry,param)
  },
}